%{?nodejs_find_provides_and_requires}

%global packagename browser-pack
%global enable_tests 1

Name: nodejs-%{packagename}
Version: 6.0.1
Release: 1%{?dist}.3
Summary: pack node-style source files from a json stream into a browser bundle
License: MIT
URL: https://github.com/substack/browser-pack
Source0: https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
Patch0: nodejs-browser-pack-tap-throws.patch
BuildArch: noarch
ExclusiveArch: %{nodejs_arches} noarch
BuildRequires: nodejs-packaging
BuildRequires: npm(JSONStream) >= 1.0.3
BuildRequires: npm(JSONStream) < 2.0.0
BuildRequires: npm(combine-source-map) >= 0.7.1
BuildRequires: npm(combine-source-map) < 0.8.0
BuildRequires: npm(defined) >= 1.0.0
BuildRequires: npm(defined) < 2.0.0
BuildRequires: npm(through2) >= 2.0.0
BuildRequires: npm(through2) < 3.0.0
BuildRequires: npm(umd) >= 3.0.0
BuildRequires: npm(umd) < 4.0.0

%if 0%{?enable_tests}
BuildRequires: npm(concat-stream) >= 1.5.1
BuildRequires: npm(concat-stream) < 1.6.0
BuildRequires: npm(convert-source-map) >= 1.1.0
BuildRequires: npm(convert-source-map) < 2.0.0
BuildRequires: npm(parse-base64vlq-mappings) >= 0.1.1
BuildRequires: npm(parse-base64vlq-mappings) < 0.2.0
BuildRequires: npm(tap) >= 0.4.4
%endif

%description
Pack node-style source files from a json stream into a browser bundle.


%prep
%setup -q -n package
%patch0 -p1
%nodejs_fixdep --dev tap '>=0.4.4'
%nodejs_fixdep --dev convert-source-map '^1.1.0'


%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js bin \
        %{buildroot}%{nodejs_sitelib}/%{packagename}
mkdir -p %{buildroot}%{_bindir}
ln -s %{nodejs_sitelib}/%{packagename}/bin/cmd.js \
      %{buildroot}%{_bindir}/browser-pack

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/tap test/*.js
%endif


%files
%license LICENSE
%doc *.markdown example/
%{nodejs_sitelib}/%{packagename}
%{_bindir}/browser-pack

%changelog
* Tue Sep 20 2016 Oleg Girko <ol@infoserver.lv> - 6.0.1-1
- Initial package.
